hospital360/routes/web.php
Route::get('/shiftsdetailsafternoon', 'HomeController@homepageshiftsdetailsafternoon');
Route::get('/shiftsdetailsevening', 'HomeController@homepageshiftsdetailsevening');

Route::get('/thisweek', 'HomeController@homepagethisweek');
Route::get('/thisweek_days_list', 'HomeController@homepagethisweek_day_list');
Route::get('/thisweeklist/{date?}', 'HomeController@homepagethisweeklist');
Route::get('/thismonth', 'HomeController@homepagethismonth');
Route::get('/thismonth_week_list', 'HomeController@homepagethismonth_week_list');
Route::get('/thismonth_day_list', 'HomeController@homepagethismonth_day_list');
Route::get('/week_one', 'HomeController@homepagethismonthweek_one_list');
Route::get('/week_two', 'HomeController@homepagethismonthweek_two_list');
Route::get('/week_three', 'HomeController@homepagethismonthweek_three_list');
Route::get('/week_four', 'HomeController@homepagethismonthweek_four_list');
Route::get('/week_five', 'HomeController@homepagethismonthweek_five_list');
Route::get('/thismonthlist', 'HomeController@homepagethismonthlist');
Route::get('/thisyear', 'HomeController@homepagethisyear');
Route::get('/thisyear_month_list/{test?}', 'HomeController@homepagethisyear_month_wise_list');
Route::get('/getyear', 'HomeController@home_year');
Route::get('/thisyear_week_list', 'HomeController@homepagethisyear_week_list');
Route::get('/thisyear_day_wise_list', 'HomeController@homepagethisyear_day_wise_list');
Route::get('/thisyearlist', 'HomeController@homepagethisyearlist');

/*hospital Routes start*/
Route::get('/hasptal_bio', 'HomeController@hasptal_bio');
Route::get('/h_address', 'HomeController@h_address');
Route::get('/h_password', 'HomeController@h_password');
Route::get('/h_contact', 'HomeController@h_contact');
Route::get('/h_profilepic', 'HomeController@h_profilepic');
Route::get('/h_license', 'HomeController@h_license');
Route::get('/h_current_balance', 'HomeController@h_current_balance');
Route::get('/h_add_fund', 'HomeController@h_add_fund');
Route::post('/h_add_fund_store', 'hospitalAddFundController@store')->name('h_add_fund.store');
Route::post('/h_profilepic_remove', 'HomeController@h_profilepic_remove');
Route::post('/hasptal_bio_update/{id}', 'HaspatalRegsiterController@update1')->name('hasptal.bio.update');

Route::get('/h_refund', 'HomeController@h_refund');
Route::post('/h_refund', 'hospitalWithdrawController@store')->name('h_refund.store');
Route::get('/h_statement', 'HomeController@h_statement');
Route::post('/h_account_statement_view', 'HomeController@h_account_statement_view')->name('h_account_statement_view');

Route::get('/h_bankinginfo', 'HomeController@h_bankinginfo');
/*hospital Routes end*/


Route::get('/hospital_profile', 'HomeController@hospital_profile');
Route::post('/hospital_profile/{id}', 'HaspatalRegsiterController@update1')->name('hospital_profileEdit.update');
Route::get('/hospital_consult_price', 'HomeController@hospital_consult_price')->name('hospital_consult_price');;
Route::get('/hospital_register_doctor', 'HomeController@hospital_register_doctor')->name('hospital_register_doctor');
Route::get('/hospital_specialities_create', 'HomeController@hospital_specialities_create')->name('hospital_specialities_create');
Route::get('/hospital_specialities_edit/{id}', 'HomeController@hospital_specialities_edit')->name('hospital_specialities_edit');
Route::get('/hospital_specialities_list', 'HomeController@hospital_specialities_list')->name('hospital_specialities_list');

Route::get('/hospital_doctor_list', 'HomeController@hospital_doctor_list')->name('hospital_doctor_list');

Route::get('/hospital_consult_price_create', 'HomeController@hospital_consult_price_create')->name('hospital_consult_price_create');
Route::get('/hospital_consult_price_edit/{id}', 'HomeController@hospital_consult_price_edit')->name('hospital_consult_price_edit');
Route::post('/my_review_answer', 'HomeController@review_answer')->name('my_review_answer.update');


Route::resource('propertyTypes', 'Property_typeController');

Route::resource('countries', 'CountryController');

Route::resource('states', 'StateController');

Route::resource('cities', 'CityController')->middleware('auth');
Route::get('cityImport', 'CityController@cityImport')->name('cityImport')->middleware('auth');
Route::post('cityImport', 'CityController@cityImportPost')->name('cityImportPost')->middleware('auth');

Route::resource('propertyDetails', 'PropertyDetailsController')->middleware('auth');

Route::resource('taxSetups', 'TaxSetupController')->middleware('auth');

Route::resource('memberDetails', 'MemberDetailsController')->middleware('auth');

Route::resource('languages', 'LanguageController')->middleware('auth');

Route::resource('specialities', 'SpecialitiesController')->middleware('auth');

Route::resource('doctors', 'DoctorsController')->middleware('auth');

Route::resource('patients', 'PatientsController')->middleware('auth');

Route::get('patientsImport', function(){
    return view('patients.patientImport');
});
Route::post('patientsImport', 'PatientsController@patientsImportPost')->name('patientsImportPost')->middleware('auth');

Route::resource('serviceDetails', 'Service_detailsController')->middleware('auth');

Route::resource('setServicePrices', 'Set_service_priceController')->middleware('auth');





Route::resource('bankInformations', 'Bank_informationController')->middleware('auth');

Route::resource('licenceTypes', 'Licence_typeController')->middleware('auth');











Route::resource('bookingRequests', 'BookingRequestController')->middleware('auth');

Route::resource('myFavourites', 'My_favouriteController')->middleware('auth');

Route::resource('doctorAvailabilities', 'Doctor_availabilityController')->middleware('auth');

Route::resource('prescriptionDetails', 'Prescription_detailsController')->middleware('auth');

Route::resource('patientAddFunds', 'Patient_add_fundController')->middleware('auth');

Route::resource('patientRefundRequests', 'Patient_refund_requestController')->middleware('auth');

Route::resource('timeSlots', 'TimeSlotController')->middleware('auth');

Route::resource('coupans', 'CoupanController')->middleware('auth');



Route::resource('keyPointsPatients', 'Key_points_patientController')->middleware('auth');

Route::resource('presentMedicationsPatients', 'Present_medications_patientController')->middleware('auth');

Route::resource('examinationNotesPatients', 'Examination_notes_patientController')->middleware('auth');

Route::resource('availableLabPatients', 'Available_lab_patientController')->middleware('auth');

Route::resource('perceivedPatients', 'Perceived_patientController')->middleware('auth');

Route::resource('suggestedInvestigationsPatients', 'Suggested_investigations_patientController');

Route::resource('suggestedImagingsPatients', 'Suggested_imagings_patientController')->middleware('auth');

Route::resource('suggestedSpecialistsPatients', 'Suggested_specialists_patientController')->middleware('auth');

Route::resource('suggestedTherapiesPatients', 'Suggested_therapies_patientController')->middleware('auth');

Route::resource('presentComplaintPatients', 'Present_complaint_patientController')->middleware('auth');

Route::resource('planMasters', 'Plan_masterController')->middleware('auth');



Route::resource('doctorWithdraws', 'Doctor_withdrawController')->middleware('auth');

Route::resource('supports', 'SupportController')->middleware('auth');

Route::resource('hospitalRegisters', 'Hospital_registerController')->middleware('auth');

Route::resource('reviews', 'ReviewController')->middleware('auth');

Route::resource('businessTypes', 'Business_typeController')->middleware('auth');

Route::resource('hPlans', 'H_planController')->middleware('auth');

Route::resource('businessRegisters', 'Business_registerController')->middleware('auth');

Route::resource('offers', 'OfferController')->middleware('auth');

Route::resource('haspatal360Registers', 'Haspatal_360_registerController')->middleware('auth');

Route::resource('bookingPriceAdmins', 'Booking_price_adminController')->middleware('auth');

Route::resource('yourCoverage360s', 'Your_coverage_360Controller')->middleware('auth');

Route::resource('createOffer360s', 'Create_offer_360Controller')->middleware('auth');

Route::resource('wallet360s', 'Wallet_360Controller')->middleware('auth');

Route::resource('wallet360Transactions', 'Wallet_360_transactionController')->middleware('auth');

Route::resource('buyPlans', 'Buy_planController')->middleware('auth');

Route::resource('order360s', 'Order_360Controller')->middleware('auth');

Route::resource('orderQueries', 'Order_queryController')->middleware('auth');

Route::resource('haspatalRegsiters', 'HaspatalRegsiterController');

Route::resource('setConsultPrices', 'Set_Consult_PricesController')->middleware('auth');

Route::resource('review360s', 'review_360Controller')->middleware('auth');

Route::resource('taxes', 'TaxController');

Route::resource('buyPlanDrs', 'Buy_plan_drController');

Route::resource('medicines', 'MedicineController');

Route::resource('labTests', 'LabTestController');

Route::resource('imagingLists', 'Imaging_listController');

Route::resource('therapiesLists', 'Therapies_listController');

Route::resource('counselingsLists', 'Counselings_listController');

Route::resource('homeCareLists', 'Home_care_listController');

Route::resource('referralSpecialities', 'ReferralSpecialitiesController');









Route::resource('followupPeriods', 'FollowupPeriodController');

Route::resource('hospitalAddFunds', 'hospitalAddFundController');

Route::resource('hospitalWithdraws', 'hospitalWithdrawController');

Route::resource('tasks', 'TaskController');
Route::get('taskAssign', 'TaskController@taskAssign');
Route::get('taskUpdate', 'TaskController@taskUpdate');
Route::get('operator_task', 'TaskController@operator_task')->name('operator_task');


Route::resource('h360coupans', 'H360coupanController');


//test by Santosh

hospital360/app/Models/FollowupPeriod.php
<?php

namespace App\Models;

use Eloquent as Model;

/**
 * Class FollowupPeriod
 * @package App\Models
 * @version October 5, 2020, 11:04 am UTC
 *
 * @property integer $dr_id
 * @property string $followup_list
 * @property integer $created_by
 * @property integer $updated_by
 */
class FollowupPeriod extends Model
{

    public $table = 'followup_period';
    



    public $fillable = [
        'dr_id',
        'followup_list',
        'created_by',
        'updated_by'
    ];

    /**
     * The attributes that should be casted to native types.
     *
     * @var array
     */
    protected $casts = [
        'id' => 'integer',
        'dr_id' => 'integer',
        'followup_list' => 'string',
        'created_by' => 'integer',
        'updated_by' => 'integer'
    ];

    /**
     * Validation rules
     *
     * @var array
     */
    public static $rules = [
        
    ];

    
}

hospital360/app/Http/Controllers/FollowupPeriodController.php
<?php

namespace App\Http\Controllers;

use App\DataTables\FollowupPeriodDataTable;
use App\Http\Requests;
use App\Http\Requests\CreateFollowupPeriodRequest;
use App\Http\Requests\UpdateFollowupPeriodRequest;
use App\Repositories\FollowupPeriodRepository;
use App\Http\Controllers\AppBaseController;
use Flash;
use Illuminate\Contracts\View\Factory;
use Illuminate\Http\RedirectResponse;
use Illuminate\Routing\Redirector;
use Illuminate\View\View;
use Response;

class FollowupPeriodController extends AppBaseController
{
    /** @var  FollowupPeriodRepository */
    private $followupPeriodRepository;

    public function __construct(FollowupPeriodRepository $followupPeriodRepo)
    {
        $this->followupPeriodRepository = $followupPeriodRepo;
    }

    /**
     * Display a listing of the FollowupPeriod.
     *
     * @param FollowupPeriodDataTable $followupPeriodDataTable
     * @return Response|Factory|RedirectResponse|Redirector|View
     */
    public function index(FollowupPeriodDataTable $followupPeriodDataTable)
    {
        return $followupPeriodDataTable->render('followup_periods.index');
    }

    /**
     * Show the form for creating a new FollowupPeriod.
     *
     * @return Response|Factory|RedirectResponse|Redirector|View
     */
    public function create()
    {
        return view('followup_periods.create');
    }

    /**
     * Store a newly created FollowupPeriod in storage.
     *
     * @param CreateFollowupPeriodRequest $request
     *
     * @return Response|Factory|RedirectResponse|Redirector|View
     */
    public function store(CreateFollowupPeriodRequest $request)
    {
        $input = $request->all();

        $followupPeriod = $this->followupPeriodRepository->create($input);

        Flash::success('Followup Period saved successfully.');

        return redirect(route('followupPeriods.index'));
    }

    /**
     * Display the specified FollowupPeriod.
     *
     * @param  int $id
     *
     * @return Response|Factory|RedirectResponse|Redirector|View
     */
    public function show($id)
    {
        $followupPeriod = $this->followupPeriodRepository->find($id);

        if (empty($followupPeriod)) {
            Flash::error('Followup Period not found');

            return redirect(route('followupPeriods.index'));
        }

        return view('followup_periods.show')->with('followupPeriod', $followupPeriod);
    }

    /**
     * Show the form for editing the specified FollowupPeriod.
     *
     * @param  int $id
     *
     * @return Response|Factory|RedirectResponse|Redirector|View
     */
    public function edit($id)
    {
        $followupPeriod = $this->followupPeriodRepository->find($id);

        if (empty($followupPeriod)) {
            Flash::error('Followup Period not found');

            return redirect(route('followupPeriods.index'));
        }

        return view('followup_periods.edit')->with('followupPeriod', $followupPeriod);
    }

    /**
     * Update the specified FollowupPeriod in storage.
     *
     * @param  int              $id
     * @param UpdateFollowupPeriodRequest $request
     *
     * @return Response|Factory|RedirectResponse|Redirector|View
     */
    public function update($id, UpdateFollowupPeriodRequest $request)
    {
        $followupPeriod = $this->followupPeriodRepository->find($id);

        if (empty($followupPeriod)) {
            Flash::error('Followup Period not found');

            return redirect(route('followupPeriods.index'));
        }

        $followupPeriod = $this->followupPeriodRepository->update($request->all(), $id);

        Flash::success('Followup Period updated successfully.');

        return redirect(route('followupPeriods.index'));
    }

    /**
     * Remove the specified FollowupPeriod from storage.
     *
     * @param  int $id
     *
     * @return Response|Factory|RedirectResponse|Redirector|View
     */
    public function destroy($id)
    {
        $followupPeriod = $this->followupPeriodRepository->find($id);

        if (empty($followupPeriod)) {
            Flash::error('Followup Period not found');

            return redirect(route('followupPeriods.index'));
        }

        $this->followupPeriodRepository->delete($id);

        Flash::success('Followup Period deleted successfully.');

        return redirect(route('followupPeriods.index'));
    }
}

hospital360/resources/views/followup_periods/create.blade.php
@extends('layouts.app')

@section('content')
    <ol class="breadcrumb">
      <li class="breadcrumb-item">
         <a href="{!! route('followupPeriods.index') !!}">Followup Period</a>
      </li>
      <li class="breadcrumb-item active">Create</li>
    </ol>
     <div class="container-fluid">
          <div class="animated fadeIn">
                @include('coreui-templates::common.errors')
                <div class="row">
                    <div class="col-lg-12">
                        <div class="card">
                            <div class="card-header">
                                <i class="fa fa-plus-square-o fa-lg"></i>
                                <strong>Create Followup Period</strong>
                            </div>
                            <div class="card-body">
                                {!! Form::open(['route' => 'followupPeriods.store']) !!}

                                   @include('followup_periods.fields')

                                {!! Form::close() !!}
                            </div>
                        </div>
                    </div>
                </div>
           </div>
    </div>
@endsection

hospital360/resources/views/followup_periods/datatables_actions.blade.php
{!! Form::open(['route' => ['followupPeriods.destroy', $id], 'method' => 'delete']) !!}
<div class='btn-group'>
    <a href="{{ route('followupPeriods.show', $id) }}" class='btn btn-ghost-success'>
       <i class="fa fa-eye"></i>
    </a>
    <a href="{{ route('followupPeriods.edit', $id) }}" class='btn btn-ghost-info'>
       <i class="fa fa-edit"></i>
    </a>
    {!! Form::button('<i class="fa fa-trash"></i>', [
        'type' => 'submit',
        'class' => 'btn btn-ghost-danger',
        'onclick' => "return confirm('Are you sure?')"
    ]) !!}
</div>
{!! Form::close() !!}

hospital360/resources/views/followup_periods/edit.blade.php
@extends('layouts.app')

@section('content')
    <ol class="breadcrumb">
          <li class="breadcrumb-item">
             <a href="{!! route('followupPeriods.index') !!}">Followup Period</a>
          </li>
          <li class="breadcrumb-item active">Edit</li>
        </ol>
    <div class="container-fluid">
         <div class="animated fadeIn">
             @include('coreui-templates::common.errors')
             <div class="row">
                 <div class="col-lg-12">
                      <div class="card">
                          <div class="card-header">
                              <i class="fa fa-edit fa-lg"></i>
                              <strong>Edit Followup Period</strong>
                          </div>
                          <div class="card-body">
                              {!! Form::model($followupPeriod, ['route' => ['followupPeriods.update', $followupPeriod->id], 'method' => 'patch']) !!}

                              @include('followup_periods.fields')

                              {!! Form::close() !!}
                            </div>
                        </div>
                    </div>
                </div>
         </div>
    </div>
@endsection

hospital360/resources/views/followup_periods/fields.blade.php
<!-- Dr Id Field -->
<div class="form-group col-sm-6">
    {!! Form::label('dr_id', 'Dr Id:') !!}
    {!! Form::text('dr_id', null, ['class' => 'form-control']) !!}
</div>

<!-- Followup List Field -->
<div class="form-group col-sm-6">
    {!! Form::label('followup_list', 'Followup List:') !!}
    {!! Form::text('followup_list', null, ['class' => 'form-control']) !!}
</div>

<!-- Created By Field -->
<div class="form-group col-sm-6">
    {!! Form::label('created_by', 'Created By:') !!}
    {!! Form::text('created_by', null, ['class' => 'form-control']) !!}
</div>

<!-- Updated By Field -->
<div class="form-group col-sm-6">
    {!! Form::label('updated_by', 'Updated By:') !!}
    {!! Form::text('updated_by', null, ['class' => 'form-control']) !!}
</div>

<!-- Submit Field -->
<div class="form-group col-sm-12">
    {!! Form::submit('Save', ['class' => 'btn btn-primary']) !!}
    <a href="{{ route('followupPeriods.index') }}" class="btn btn-secondary">Cancel</a>
</div>

hospital360/resources/views/followup_periods/index.blade.php
@extends('layouts.app')

@section('content')
    <ol class="breadcrumb">
        <li class="breadcrumb-item">Followup Periods</li>
    </ol>
    <div class="container-fluid">
        <div class="animated fadeIn">
             @include('flash::message')
             <div class="row">
                 <div class="col-lg-12">
                     <div class="card">
                         <div class="card-header">
                             <i class="fa fa-align-justify"></i>
                             FollowupPeriods
                             <a class="pull-right" href="{{ route('followupPeriods.create') }}"><i class="fa fa-plus-square fa-lg"></i></a>
                         </div>
                         <div class="card-body">
                             @include('followup_periods.table')
                              <div class="pull-right mr-3">
                                     
                              </div>
                         </div>
                     </div>
                  </div>
             </div>
         </div>
    </div>
@endsection

hospital360/resources/views/followup_periods/show.blade.php
@extends('layouts.app')

@section('content')
     <ol class="breadcrumb">
            <li class="breadcrumb-item">
                <a href="{{ route('followupPeriods.index') }}">Followup Period</a>
            </li>
            <li class="breadcrumb-item active">Detail</li>
     </ol>
     <div class="container-fluid">
          <div class="animated fadeIn">
                 @include('coreui-templates::common.errors')
                 <div class="row">
                     <div class="col-lg-12">
                         <div class="card">
                             <div class="card-header">
                                 <strong>Details</strong>
                                  <a href="{{ route('followupPeriods.index') }}" class="btn btn-light">Back</a>
                             </div>
                             <div class="card-body">
                                 @include('followup_periods.show_fields')
                             </div>
                         </div>
                     </div>
                 </div>
          </div>
    </div>
@endsection

hospital360/resources/views/followup_periods/show_fields.blade.php
<!-- Id Field -->
<div class="form-group">
    {!! Form::label('id', 'Id:') !!}
    <p>{{ $followupPeriod->id }}</p>
</div>

<!-- Dr Id Field -->
<div class="form-group">
    {!! Form::label('dr_id', 'Dr Id:') !!}
    <p>{{ $followupPeriod->dr_id }}</p>
</div>

<!-- Followup List Field -->
<div class="form-group">
    {!! Form::label('followup_list', 'Followup List:') !!}
    <p>{{ $followupPeriod->followup_list }}</p>
</div>

<!-- Created By Field -->
<div class="form-group">
    {!! Form::label('created_by', 'Created By:') !!}
    <p>{{ $followupPeriod->created_by }}</p>
</div>

<!-- Updated By Field -->
<div class="form-group">
    {!! Form::label('updated_by', 'Updated By:') !!}
    <p>{{ $followupPeriod->updated_by }}</p>
</div>

<!-- Created At Field -->
<div class="form-group">
    {!! Form::label('created_at', 'Created At:') !!}
    <p>{{ $followupPeriod->created_at }}</p>
</div>

<!-- Updated At Field -->
<div class="form-group">
    {!! Form::label('updated_at', 'Updated At:') !!}
    <p>{{ $followupPeriod->updated_at }}</p>
</div>

hospital360/resources/views/followup_periods/table.blade.php
@section('css')
    @include('layouts.datatables_css')
@endsection

{!! $dataTable->table(['width' => '100%', 'class' => 'table table-striped table-bordered']) !!}

@push('scripts')
    @include('layouts.datatables_js')
    {!! $dataTable->scripts() !!}
@endpush